.station-search-input {
  width: 100%;
  box-sizing: border-box;
  padding: 8px 12px;
  border-bottom: 1px solid #ccc;
  border-top: none;
  border-left: none;
  border-right: none;
  border-radius: 0px;
  outline: none;
  background: linear-gradient(to top, #f8ffeb, #ffffff);
}

.station-search-input:focus {  
  outline: none;
}

.clear-search-btn {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 16px;
  color: #888;
  cursor: pointer;
  display: none;
}

.clear-search-btn:hover {
  color: #000;
}


.search-wrapper {
	top: 0;
	z-index: 1;
	background: white;
	padding-bottom: 1px;
	border-bottom: 1px solid #ddd;
}

.selectbox .btn-group > .dropdown-menu.show > ul > li > a {
	padding: 8px;
	border-bottom: 1px solid #e0e0e0;
	white-space: normal;
}

.selectbox .btn-group > .dropdown-menu.show > ul > li:hover > a {
	padding: 8px;
	border-bottom: 1px solid #e0e0e0;
	white-space: normal;
	background-color: #E9ECEF;
}

ul.dropdown-list {
	max-height: 407px;
	overflow-y: auto;
	list-style: none;
	padding: 0;
	margin: 0;
}

ul.dropdown-list a.station-item {
  display: block;
  width: 100%;
  padding: 0.5rem 1rem;
  clear: both;
  font-weight: 400;
  color: #212529;
  text-align: inherit;
  text-decoration: none;
  white-space: nowrap;
  background-color: transparent;
  border: 0;
  border-radius: 0.25rem;
}

ul.dropdown-list a.station-item > span.station-item {
  font-size: 0.875rem;
  color: #6c757d;
}

ul.dropdown-list a.station-item:hover,
ul.dropdown-list a.station-item:focus {
  color: #1e2125; /* hover color */
  text-decoration: none;
  background: linear-gradient(to bottom, #f8f9fa, #e9ecef);
}

ul.dropdown-list a.station-item.active,
ul.dropdown-list a.station-item:active {
  color: #fff;
  text-decoration: none;
  background: linear-gradient(to bottom, #0d6efd, #0a58ca);
}

ul.dropdown-list a.station-item.disabled,
ul.dropdown-list a.station-item:disabled {
  color: #6c757d;
  pointer-events: none;
  background-color: transparent;
  background-image: none;
}